﻿--[Section to remove in merged SQL]
USE [Oasys]
GO
SET ANSI_WARNINGS ON
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
--~[Section to remove in merged SQL]

IF NOT EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[StockBelowImpactCount]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
BEGIN
	PRINT 'Creating procedure StockBelowImpactCount'
	EXEC ('CREATE PROCEDURE [dbo].[StockBelowImpactCount] AS RAISERROR(''Not implemented NULL'', 16, 1)')
END
GO

PRINT 'Altering procedure StockBelowImpactCount'
GO
ALTER PROCEDURE [dbo].[StockBelowImpactCount]
	@Quantity INT OUTPUT
AS
begin
	DECLARE @TODT		DATETIME;
	
	SET @TODT = (SELECT SYSDAT.TODT FROM SYSDAT WHERE SYSDAT.FKEY='01');

	SELECT 
		@Quantity = COUNT(STKMAS.SKUN) FROM STKMAS
	WHERE 
		STKMAS.IDEL	=0 
		AND STKMAS.IOBS		=0
		AND STKMAS.INON		=0
		AND STKMAS.IRIS		=0
		AND STKMAS.ICAT		=0
		AND STKMAS.NOOR		=0 
		AND STKMAS.DATS		IS NOT NULL
		AND STKMAS.FODT		IS NOT NULL 
		AND STKMAS.FODT		<@TODT
		AND ((	STKMAS.ONHA	< PMIN 
				AND STKMAS.PMSD IS NOT NULL	AND STKMAS.PMED IS NOT NULL
				AND STKMAS.PMSD<@TODT AND @TODT<STKMAS.PMED) 
			OR(STKMAS.ONHA < STKMAS.SMAN AND STKMAS.SMAN>0)
			OR(STKMAS.ONHA < STKMAS.MINI));
		
	SELECT @Quantity = coalesce(@Quantity, 0);
end
GO

